Create a redline URL
curl --request POST \
--url https://formable-production.up.railway.app/api/v0/redline-requests/{redlineRequestId}/url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memberEmail": "member@example.com"
}
'import requests
url = "https://formable-production.up.railway.app/api/v0/redline-requests/{redlineRequestId}/url"
payload = { "memberEmail": "member@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({memberEmail: 'member@example.com'})
};
fetch('https://formable-production.up.railway.app/api/v0/redline-requests/{redlineRequestId}/url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"redlineUrl": "https://app.formabledocs.com/redlining/embedded/xyz789abc",
"expiresAt": "2024-01-16T10:30:00.000Z"
}{
"error": "templateId is required"
}{
"error": "Auth token not valid"
}{
"error": "Client not authorized to perform this action"
}{
"error": "Resource not found for id abc123xyz"
}{
"error": "Internal server error"
}Redlining
Create a redline URL
Generates a redline URL for a specific member of a redline request. The member must already be part of the redline request. The URL opens the redlining editor for that member’s turn.
POST
/
v0
/
redline-requests
/
{redlineRequestId}
/
url
Create a redline URL
Authorizations
OAuth 2.0 client credentials access token, passed as a Bearer token in the Authorization header.
Path Parameters
The ID of the redline request.
Body
application/json
Email address of the redline member the URL is for.
Example:
"member@example.com"
⌘I